Skip to main content
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
unspent_inputs
TypeScript
const response: Promise<FireblocksResponse<GetUnspentInputsResponse>> = fireblocks.vaults.getUnspentInputs(vaultsApiGetUnspentInputsRequest);
[
  {
    "input": {
      "txHash": "<string>",
      "index": 123
    },
    "address": "<string>",
    "amount": "<string>",
    "confirmations": 123,
    "status": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

assetId
string
required

The ID of the asset

Response

List of Unspent information per input

input
object
address
string
amount
string
confirmations
number
status
string